
From: "Randy.Dunlap" <rddunlap@osdl.org>

Remove the rest of references to smp.tex
Documentation/cpufreq => Documentation/cpu-freq
DocBook/tulip.{pdf,ps,html} => DocBook/tulip-user.{pdf,ps,html}
Bunch of other typos.


---

 25-akpm/Documentation/computone.txt          |    2 +-
 25-akpm/Documentation/networking/bonding.txt |    5 +++--
 25-akpm/arch/alpha/Kconfig                   |    4 ++--
 25-akpm/arch/arm/Kconfig                     |    2 +-
 25-akpm/arch/i386/Kconfig                    |    4 ++--
 25-akpm/arch/mips/Kconfig                    |    5 ++---
 25-akpm/arch/parisc/Kconfig                  |    7 +++----
 25-akpm/arch/ppc/Kconfig                     |    2 +-
 25-akpm/arch/s390/Kconfig                    |    5 ++---
 25-akpm/arch/sh/Kconfig                      |   11 +++++------
 25-akpm/arch/sparc/Kconfig                   |    4 ++--
 25-akpm/arch/sparc64/Kconfig                 |   10 +++++-----
 25-akpm/drivers/net/Kconfig                  |    4 ++--
 25-akpm/drivers/net/tulip/21142.c            |    2 +-
 25-akpm/drivers/net/tulip/eeprom.c           |    2 +-
 25-akpm/drivers/net/tulip/interrupt.c        |    2 +-
 25-akpm/drivers/net/tulip/media.c            |    2 +-
 25-akpm/drivers/net/tulip/pnic.c             |    2 +-
 25-akpm/drivers/net/tulip/pnic2.c            |    2 +-
 25-akpm/drivers/net/tulip/timer.c            |    2 +-
 25-akpm/drivers/net/tulip/tulip.h            |    2 +-
 25-akpm/drivers/net/tulip/tulip_core.c       |    2 +-
 25-akpm/drivers/usb/media/Kconfig            |    2 +-
 25-akpm/net/decnet/README                    |    2 +-
 24 files changed, 42 insertions(+), 45 deletions(-)

diff -puN arch/alpha/Kconfig~doc_var_updates arch/alpha/Kconfig
--- 25/arch/alpha/Kconfig~doc_var_updates	2004-03-16 18:48:51.274923608 -0800
+++ 25-akpm/arch/alpha/Kconfig	2004-03-16 18:48:51.310918136 -0800
@@ -495,8 +495,8 @@ config SMP
 	  Y to "Enhanced Real Time Clock Support", below. The "Advanced Power
 	  Management" code will be disabled if you say Y here.
 
-	  See also the <file:Documentation/smp.tex>,
-	  <file:Documentation/smp.txt>, <file:Documentation/i386/IO-APIC.txt>,
+	  See also the <file:Documentation/smp.txt>,
+	  <file:Documentation/i386/IO-APIC.txt>,
 	  <file:Documentation/nmi_watchdog.txt> and the SMP-HOWTO available at
 	  <http://www.tldp.org/docs.html#howto>.
 
diff -puN arch/arm/Kconfig~doc_var_updates arch/arm/Kconfig
--- 25/arch/arm/Kconfig~doc_var_updates	2004-03-16 18:48:51.275923456 -0800
+++ 25-akpm/arch/arm/Kconfig	2004-03-16 18:48:51.310918136 -0800
@@ -351,7 +351,7 @@ config CPU_FREQ_INTEGRATOR
 	help
 	  This enables the CPUfreq driver for ARM Integrator CPUs.
 
-	  For details, take a look at linux/Documentation/cpufreq.
+	  For details, take a look at linux/Documentation/cpu-freq.
 
 	  If in doubt, say Y.
 
diff -puN arch/i386/Kconfig~doc_var_updates arch/i386/Kconfig
--- 25/arch/i386/Kconfig~doc_var_updates	2004-03-16 18:48:51.277923152 -0800
+++ 25-akpm/arch/i386/Kconfig	2004-03-16 18:48:51.314917528 -0800
@@ -454,8 +454,8 @@ config SMP
 	  Y to "Enhanced Real Time Clock Support", below. The "Advanced Power
 	  Management" code will be disabled if you say Y here.
 
-	  See also the <file:Documentation/smp.tex>,
-	  <file:Documentation/smp.txt>, <file:Documentation/i386/IO-APIC.txt>,
+	  See also the <file:Documentation/smp.txt>,
+	  <file:Documentation/i386/IO-APIC.txt>,
 	  <file:Documentation/nmi_watchdog.txt> and the SMP-HOWTO available at
 	  <http://www.tldp.org/docs.html#howto>.
 
diff -puN arch/mips/Kconfig~doc_var_updates arch/mips/Kconfig
--- 25/arch/mips/Kconfig~doc_var_updates	2004-03-16 18:48:51.281922544 -0800
+++ 25-akpm/arch/mips/Kconfig	2004-03-16 18:48:51.315917376 -0800
@@ -1209,9 +1209,8 @@ config SMP
 	  People using multiprocessor machines who say Y here should also say
 	  Y to "Enhanced Real Time Clock Support", below.
 
-	  See also the <file:Documentation/smp.tex>,
-	  <file:Documentation/smp.txt> and the SMP-HOWTO available at
-	  <http://www.tldp.org/docs.html#howto>.
+	  See also the <file:Documentation/smp.txt> and the SMP-HOWTO
+	  available at <http://www.tldp.org/docs.html#howto>.
 
 	  If you don't know what to do here, say N.
 
diff -puN arch/parisc/Kconfig~doc_var_updates arch/parisc/Kconfig
--- 25/arch/parisc/Kconfig~doc_var_updates	2004-03-16 18:48:51.282922392 -0800
+++ 25-akpm/arch/parisc/Kconfig	2004-03-16 18:48:51.315917376 -0800
@@ -131,10 +131,9 @@ config SMP
 	  singleprocessor machines. On a singleprocessor machine, the kernel
 	  will run faster if you say N here.
 
-	  See also the <file:Documentation/smp.tex>,
-	  <file:Documentation/smp.txt>, <file:Documentation/nmi_watchdog.txt>
-	  and the SMP-HOWTO available at
-	  <http://www.tldp.org/docs.html#howto>.
+	  See also the <file:Documentation/smp.txt>,
+	  <file:Documentation/nmi_watchdog.txt> and the SMP-HOWTO available
+	  at <http://www.tldp.org/docs.html#howto>.
 
 	  If you don't know what to do here, say N.
 
diff -puN arch/ppc/Kconfig~doc_var_updates arch/ppc/Kconfig
--- 25/arch/ppc/Kconfig~doc_var_updates	2004-03-16 18:48:51.284922088 -0800
+++ 25-akpm/arch/ppc/Kconfig	2004-03-16 18:48:51.316917224 -0800
@@ -163,7 +163,7 @@ config CPU_FREQ
 	  fly. This is a nice method to save battery power on notebooks,
 	  because the lower the clock speed, the less power the CPU consumes.
 
-	  For more information, take a look at linux/Documentation/cpufreq or
+	  For more information, take a look at linux/Documentation/cpu-freq or
 	  at <http://www.brodo.de/cpufreq/>
 
 	  If in doubt, say N.
diff -puN arch/s390/Kconfig~doc_var_updates arch/s390/Kconfig
--- 25/arch/s390/Kconfig~doc_var_updates	2004-03-16 18:48:51.285921936 -0800
+++ 25-akpm/arch/s390/Kconfig	2004-03-16 18:48:51.317917072 -0800
@@ -89,9 +89,8 @@ config SMP
 	  singleprocessor machines. On a singleprocessor machine, the kernel
 	  will run faster if you say N here.
 
-	  See also the <file:Documentation/smp.tex>,
-	  <file:Documentation/smp.txt> and the SMP-HOWTO available at
-	  <http://www.tldp.org/docs.html#howto>.
+	  See also the <file:Documentation/smp.txt> and the SMP-HOWTO
+	  available at <http://www.tldp.org/docs.html#howto>.
 
 	  Even if you don't know what to do here, say Y.
 
diff -puN arch/sh/Kconfig~doc_var_updates arch/sh/Kconfig
--- 25/arch/sh/Kconfig~doc_var_updates	2004-03-16 18:48:51.286921784 -0800
+++ 25-akpm/arch/sh/Kconfig	2004-03-16 18:48:51.318916920 -0800
@@ -483,10 +483,9 @@ config SMP
 	  People using multiprocessor machines who say Y here should also say
 	  Y to "Enhanced Real Time Clock Support", below.
 
-	  See also the <file:Documentation/smp.tex>,
-	  <file:Documentation/smp.txt>, <file:Documentation/nmi_watchdog.txt>
-	  and the SMP-HOWTO available at
-	  <http://www.tldp.org/docs.html#howto>.
+	  See also the <file:Documentation/smp.txt>,
+	  <file:Documentation/nmi_watchdog.txt> and the SMP-HOWTO available
+	  at <http://www.tldp.org/docs.html#howto>.
 
 	  If you don't know what to do here, say N.
 
@@ -522,7 +521,7 @@ config CPU_FREQ
 	  CPU clock scaling allows you to change the clock speed of the
 	  running CPU on the fly.
 
-	  For details, take a look at <file:Documentation/cpufreq>.
+	  For details, take a look at <file:Documentation/cpu-freq>.
 
 	  If unsure, say N.
 
@@ -543,7 +542,7 @@ config SH_CPU_FREQ
 	  This adds the cpufreq driver for SuperH. At present, only
 	  the SH-4 is supported.
 
-	  For details, take a look at <file:Documentation/cpufreq>.
+	  For details, take a look at <file:Documentation/cpu-freq>.
 
 	  If unsure, say N.
 
diff -puN arch/sparc64/Kconfig~doc_var_updates arch/sparc64/Kconfig
--- 25/arch/sparc64/Kconfig~doc_var_updates	2004-03-16 18:48:51.287921632 -0800
+++ 25-akpm/arch/sparc64/Kconfig	2004-03-16 18:48:51.319916768 -0800
@@ -107,8 +107,8 @@ config SMP
 	  Y to "Enhanced Real Time Clock Support", below. The "Advanced Power
 	  Management" code will be disabled if you say Y here.
 
-	  See also the <file:Documentation/smp.tex>,
-	  <file:Documentation/smp.txt>, <file:Documentation/i386/IO-APIC.txt>,
+	  See also the <file:Documentation/smp.txt>,
+	  <file:Documentation/i386/IO-APIC.txt>,
 	  <file:Documentation/nmi_watchdog.txt> and the SMP-HOWTO available at
 	  <http://www.tldp.org/docs.html#howto>.
 
@@ -139,7 +139,7 @@ config CPU_FREQ
 	  fly.  Currently there are only sparc64 drivers for UltraSPARC-III
 	  and UltraSPARC-IIe processors.
 
-	  For details, take a look at linux/Documentation/cpufreq. 
+	  For details, take a look at linux/Documentation/cpu-freq.
 
 	  If in doubt, say N.
 
@@ -159,7 +159,7 @@ config US3_FREQ
 	help
 	  This adds the CPUFreq driver for UltraSPARC-III processors.
 
-	  For details, take a look at linux/Documentation/cpufreq. 
+	  For details, take a look at linux/Documentation/cpu-freq.
 
 	  If in doubt, say N.
 
@@ -169,7 +169,7 @@ config US2E_FREQ
 	help
 	  This adds the CPUFreq driver for UltraSPARC-IIe processors.
 
-	  For details, take a look at linux/Documentation/cpufreq. 
+	  For details, take a look at linux/Documentation/cpu-freq.
 
 	  If in doubt, say N.
 
diff -puN arch/sparc/Kconfig~doc_var_updates arch/sparc/Kconfig
--- 25/arch/sparc/Kconfig~doc_var_updates	2004-03-16 18:48:51.289921328 -0800
+++ 25-akpm/arch/sparc/Kconfig	2004-03-16 18:48:51.319916768 -0800
@@ -103,8 +103,8 @@ config SMP
 	  Y to "Enhanced Real Time Clock Support", below. The "Advanced Power
 	  Management" code will be disabled if you say Y here.
 
-	  See also the <file:Documentation/smp.tex>,
-	  <file:Documentation/smp.txt>, <file:Documentation/i386/IO-APIC.txt>,
+	  See also the <file:Documentation/smp.txt>,
+	  <file:Documentation/i386/IO-APIC.txt>,
 	  <file:Documentation/nmi_watchdog.txt> and the SMP-HOWTO available at
 	  <http://www.tldp.org/docs.html#howto>.
 
diff -puN Documentation/computone.txt~doc_var_updates Documentation/computone.txt
--- 25/Documentation/computone.txt~doc_var_updates	2004-03-16 18:48:51.290921176 -0800
+++ 25-akpm/Documentation/computone.txt	2004-03-16 18:48:51.320916616 -0800
@@ -261,7 +261,7 @@ A userspace daemon, devfsd, exists to al
 management of symbolic links from the devfs name space to the conventional
 names.  More details on devfs can be found on the DEVFS home site at
 <http://www.atnf.csiro.au/~rgooch/linux/> or in the file kernel
-documentation files, .../linux/Documentation/filesystems/devfs/REAME.
+documentation files, .../linux/Documentation/filesystems/devfs/README.
 
 If you are using devfs, existing devices are automatically created within
 the devfs name space.  Normal devices will be tts/F0 - tts/F255 and callout
diff -puN Documentation/networking/bonding.txt~doc_var_updates Documentation/networking/bonding.txt
--- 25/Documentation/networking/bonding.txt~doc_var_updates	2004-03-16 18:48:51.291921024 -0800
+++ 25-akpm/Documentation/networking/bonding.txt	2004-03-16 18:48:51.321916464 -0800
@@ -55,8 +55,9 @@ Build and install the new kernel and mod
 --------------------------------------
 This version of the bonding driver requires updated ifenslave program. The
 original one from extreme-linux and beowulf will not work. Kernels 2.4.12
-and above include the updated version of ifenslave.c in Documentation/network
-directory. For older kernels, please follow the links at the end of this file.
+and above include the updated version of ifenslave.c in
+Documentation/networking directory. For older kernels, please follow the
+links at the end of this file.
 
 IMPORTANT!!!  If you are running on Redhat 7.1 or greater, you need
 to be careful because /usr/include/linux is no longer a symbolic link
diff -puN drivers/net/Kconfig~doc_var_updates drivers/net/Kconfig
--- 25/drivers/net/Kconfig~doc_var_updates	2004-03-16 18:48:51.293920720 -0800
+++ 25-akpm/drivers/net/Kconfig	2004-03-16 18:48:51.323916160 -0800
@@ -2048,8 +2048,8 @@ config SK98LIN
 	  
 	  If you want to compile this driver as a module ( = code which can be
 	  inserted in and removed from the running kernel whenever you want),
-	  say M here and read Documentation/modules.txt. This is recommended.
-	  The module will be called sk98lin. This is recommended.
+	  say M here and read Documentation/kbuild/modules.txt. The module will
+	  be called sk98lin. This is recommended.
 
 config TIGON3
 	tristate "Broadcom Tigon3 support"
diff -puN drivers/net/tulip/21142.c~doc_var_updates drivers/net/tulip/21142.c
--- 25/drivers/net/tulip/21142.c~doc_var_updates	2004-03-16 18:48:51.295920416 -0800
+++ 25-akpm/drivers/net/tulip/21142.c	2004-03-16 18:48:51.323916160 -0800
@@ -8,7 +8,7 @@
 	This software may be used and distributed according to the terms
 	of the GNU General Public License, incorporated herein by reference.
 
-	Please refer to Documentation/DocBook/tulip.{pdf,ps,html}
+	Please refer to Documentation/DocBook/tulip-user.{pdf,ps,html}
 	for more information on this driver, or visit the project
 	Web page at http://sourceforge.net/projects/tulip/
 
diff -puN drivers/net/tulip/eeprom.c~doc_var_updates drivers/net/tulip/eeprom.c
--- 25/drivers/net/tulip/eeprom.c~doc_var_updates	2004-03-16 18:48:51.296920264 -0800
+++ 25-akpm/drivers/net/tulip/eeprom.c	2004-03-16 18:48:51.324916008 -0800
@@ -8,7 +8,7 @@
 	This software may be used and distributed according to the terms
 	of the GNU General Public License, incorporated herein by reference.
 
-	Please refer to Documentation/DocBook/tulip.{pdf,ps,html}
+	Please refer to Documentation/DocBook/tulip-user.{pdf,ps,html}
 	for more information on this driver, or visit the project
 	Web page at http://sourceforge.net/projects/tulip/
 
diff -puN drivers/net/tulip/interrupt.c~doc_var_updates drivers/net/tulip/interrupt.c
--- 25/drivers/net/tulip/interrupt.c~doc_var_updates	2004-03-16 18:48:51.297920112 -0800
+++ 25-akpm/drivers/net/tulip/interrupt.c	2004-03-16 18:48:51.325915856 -0800
@@ -8,7 +8,7 @@
 	This software may be used and distributed according to the terms
 	of the GNU General Public License, incorporated herein by reference.
 
-	Please refer to Documentation/DocBook/tulip.{pdf,ps,html}
+	Please refer to Documentation/DocBook/tulip-user.{pdf,ps,html}
 	for more information on this driver, or visit the project
 	Web page at http://sourceforge.net/projects/tulip/
 
diff -puN drivers/net/tulip/media.c~doc_var_updates drivers/net/tulip/media.c
--- 25/drivers/net/tulip/media.c~doc_var_updates	2004-03-16 18:48:51.298919960 -0800
+++ 25-akpm/drivers/net/tulip/media.c	2004-03-16 18:48:51.325915856 -0800
@@ -8,7 +8,7 @@
 	This software may be used and distributed according to the terms
 	of the GNU General Public License, incorporated herein by reference.
 
-	Please refer to Documentation/DocBook/tulip.{pdf,ps,html}
+	Please refer to Documentation/DocBook/tulip-user.{pdf,ps,html}
 	for more information on this driver, or visit the project
 	Web page at http://sourceforge.net/projects/tulip/
 
diff -puN drivers/net/tulip/pnic2.c~doc_var_updates drivers/net/tulip/pnic2.c
--- 25/drivers/net/tulip/pnic2.c~doc_var_updates	2004-03-16 18:48:51.300919656 -0800
+++ 25-akpm/drivers/net/tulip/pnic2.c	2004-03-16 18:48:51.326915704 -0800
@@ -9,7 +9,7 @@
 	This software may be used and distributed according to the terms
 	of the GNU General Public License, incorporated herein by reference.
 
-	Please refer to Documentation/DocBook/tulip.{pdf,ps,html}
+	Please refer to Documentation/DocBook/tulip-user.{pdf,ps,html}
 	for more information on this driver, or visit the project
 	Web page at http://sourceforge.net/projects/tulip/
 
diff -puN drivers/net/tulip/pnic.c~doc_var_updates drivers/net/tulip/pnic.c
--- 25/drivers/net/tulip/pnic.c~doc_var_updates	2004-03-16 18:48:51.301919504 -0800
+++ 25-akpm/drivers/net/tulip/pnic.c	2004-03-16 18:48:51.326915704 -0800
@@ -8,7 +8,7 @@
 	This software may be used and distributed according to the terms
 	of the GNU General Public License, incorporated herein by reference.
 
-	Please refer to Documentation/DocBook/tulip.{pdf,ps,html}
+	Please refer to Documentation/DocBook/tulip-user.{pdf,ps,html}
 	for more information on this driver, or visit the project
 	Web page at http://sourceforge.net/projects/tulip/
 
diff -puN drivers/net/tulip/timer.c~doc_var_updates drivers/net/tulip/timer.c
--- 25/drivers/net/tulip/timer.c~doc_var_updates	2004-03-16 18:48:51.302919352 -0800
+++ 25-akpm/drivers/net/tulip/timer.c	2004-03-16 18:48:51.327915552 -0800
@@ -8,7 +8,7 @@
 	This software may be used and distributed according to the terms
 	of the GNU General Public License, incorporated herein by reference.
 
-	Please refer to Documentation/DocBook/tulip.{pdf,ps,html}
+	Please refer to Documentation/DocBook/tulip-user.{pdf,ps,html}
 	for more information on this driver, or visit the project
 	Web page at http://sourceforge.net/projects/tulip/
 
diff -puN drivers/net/tulip/tulip_core.c~doc_var_updates drivers/net/tulip/tulip_core.c
--- 25/drivers/net/tulip/tulip_core.c~doc_var_updates	2004-03-16 18:48:51.304919048 -0800
+++ 25-akpm/drivers/net/tulip/tulip_core.c	2004-03-16 18:48:51.328915400 -0800
@@ -8,7 +8,7 @@
 	This software may be used and distributed according to the terms
 	of the GNU General Public License, incorporated herein by reference.
 
-	Please refer to Documentation/DocBook/tulip.{pdf,ps,html}
+	Please refer to Documentation/DocBook/tulip-user.{pdf,ps,html}
 	for more information on this driver, or visit the project
 	Web page at http://sourceforge.net/projects/tulip/
 
diff -puN drivers/net/tulip/tulip.h~doc_var_updates drivers/net/tulip/tulip.h
--- 25/drivers/net/tulip/tulip.h~doc_var_updates	2004-03-16 18:48:51.305918896 -0800
+++ 25-akpm/drivers/net/tulip/tulip.h	2004-03-16 18:48:51.329915248 -0800
@@ -7,7 +7,7 @@
 	This software may be used and distributed according to the terms
 	of the GNU General Public License, incorporated herein by reference.
 
-	Please refer to Documentation/DocBook/tulip.{pdf,ps,html}
+	Please refer to Documentation/DocBook/tulip-user.{pdf,ps,html}
 	for more information on this driver, or visit the project
 	Web page at http://sourceforge.net/projects/tulip/
 
diff -puN drivers/usb/media/Kconfig~doc_var_updates drivers/usb/media/Kconfig
--- 25/drivers/usb/media/Kconfig~doc_var_updates	2004-03-16 18:48:51.306918744 -0800
+++ 25-akpm/drivers/usb/media/Kconfig	2004-03-16 18:48:51.329915248 -0800
@@ -202,4 +202,4 @@ config USB_W9968CF
 	  This code is also available as a module ( = code which can be
 	  inserted in and removed from the running kernel whenever you want).
 	  The module will be called w9968cf.o. If you want to compile it as a
-	  module, say M here and read <file:Documentation/modules.txt>.
+	  module, say M here and read <file:Documentation/kbuild/modules.txt>.
diff -puN net/decnet/README~doc_var_updates net/decnet/README
--- 25/net/decnet/README~doc_var_updates	2004-03-16 18:48:51.307918592 -0800
+++ 25-akpm/net/decnet/README	2004-03-16 18:48:51.329915248 -0800
@@ -2,7 +2,7 @@
                       ======================
 
 The documentation for this kernel subsystem is available in the
-Documentation/networking subdirctory of this distribution and also
+Documentation/networking subdirectory of this distribution and also
 on line at http://www.chygwyn.com/DECnet/
 
 Steve Whitehouse <SteveW@ACM.org>

_
